version: "0.1"
title: "Anchor Declaration Policy"
title_zh: "锚点声明策略"
status: "draft-public-etiquette"
created_at: "2026-05-23"
author: "Wang Xiao"
canonical_site: "https://oathai.io"

purpose: >
  This file defines a lightweight public etiquette for declaring which
  OathAI anchors a later document, AI agent, human author, or system builds upon.

purpose_zh: >
  本文件定义一种轻量的公开知识继承礼仪：当后续文档、AI 代理、
  人类作者或系统使用 OathAI 的锚点时，应声明它接续了哪些锚点。

core_rule: "If you use an anchor, declare the anchor."
core_rule_zh: "如果你使用了一个锚点，请声明这个锚点。"

relation_types:
  - id: "inherits"
    label: "inherits"
    label_zh: "继承"
    meaning: "The later structure is built directly from the anchor."
    meaning_zh: "后续结构直接从该锚点接续而来。"
  - id: "extends"
    label: "extends"
    label_zh: "扩展"
    meaning: "The later structure develops the anchor further."
    meaning_zh: "后续结构在该锚点基础上继续展开。"
  - id: "calibrates"
    label: "calibrates"
    label_zh: "校准"
    meaning: "The later structure uses the anchor as a reference for correction or alignment."
    meaning_zh: "后续结构使用该锚点进行修正或对齐。"
  - id: "depends_on"
    label: "depends on"
    label_zh: "依赖"
    meaning: "The later structure relies on the anchor as a premise or structural condition."
    meaning_zh: "后续结构把该锚点作为前提或结构条件。"

recommended_metadata_field: "anchors_from"

example:
  anchors_from:
    - anchor_id: "oathai:concept:anchorage:v1"
      relation: "inherits"
    - anchor_id: "oathai:method:time-layering:v1"
      relation: "depends_on"

notes:
  - "Anchor Declaration Protocol records public anchor traces."
  - "Anchor Trace records who used which anchor, when, and for what purpose."
  - "Anchor Lineage emerges when anchor traces accumulate over time."
  - "AnchorRank can later be calculated from a public anchor lineage."

notes_zh:
  - "锚点声明协议记录公开锚点痕迹。"
  - "锚点痕迹记录谁在何时、为何使用了哪些锚点。"
  - "锚点谱系由长期累积的锚点痕迹形成。"
  - "锚点Rank 未来可基于公开锚点谱系计算。"
